-- VHDL Decodeur 2 vers 4 
-- description par equations
Library ieee;
Use ieee.std_logic_1164.all;

ENTITY dec24 is
	PORT (
		S	: OUT STD_LOGIC_VECTOR (3 downto 0);
		E	: IN STD_LOGIC_VECTOR (1 downto 0));
	END dec24;

ARCHITECTURE combinatoire OF dec24 IS
signal  S0, S1, S2, S3 : STD_LOGIC ;
BEGIN     

	S0 <=  not(E(0)) and not (E(1)) ;
	S1 <=  E(0) and not(E(1));
	S2 <=  not(E(0)) and E(1);
	S3 <=  E(0) and E(1) ;
	S <= S3 & S2 & S1 & S0;

END combinatoire;
