-- Decodeur 2-4 avec with select
Library ieee;
Use ieee.std_logic_1164.all;

ENTITY Dec24_with_select is
	PORT (
		S	: OUT STD_LOGIC_VECTOR (3 downto 0);
		E	: IN STD_LOGIC_VECTOR (1 downto 0));
	END Dec24_with_select;

ARCHITECTURE combinatoire OF Dec24_with_select IS
signal  S0, S1, S2, S3 : STD_LOGIC ;
begin
with E select      
	 S <=	"0001" when "00",
		"0010" when "01",
		"0100" when "10",
		"1000" when "11",
		"----"  when others ; 
END combinatoire;
