-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 153 11/29/2010 SJ Full Version"

-- DATE "01/31/2011 11:30:23"

-- 
-- Device: Altera EP2C35F672C8 Package FBGA672
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	genecode IS
    PORT (
	CLK_E : IN std_logic;
	D_NRZ : OUT std_logic
	);
END genecode;

-- Design Ports Information
-- D_NRZ	=>  Location: PIN_AB2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- CLK_E	=>  Location: PIN_P2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF genecode IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_CLK_E : std_logic;
SIGNAL ww_D_NRZ : std_logic;
SIGNAL \CLK_E~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \CLK_E~combout\ : std_logic;
SIGNAL \CLK_E~clkctrl_outclk\ : std_logic;
SIGNAL \SYNTHESIZED_WIRE_0~0_combout\ : std_logic;
SIGNAL \DFF_inst2~regout\ : std_logic;
SIGNAL \DFF_inst3~feeder_combout\ : std_logic;
SIGNAL \DFF_inst3~regout\ : std_logic;
SIGNAL \SYNTHESIZED_WIRE_1~feeder_combout\ : std_logic;
SIGNAL \SYNTHESIZED_WIRE_1~regout\ : std_logic;
SIGNAL \DFF_inst5~feeder_combout\ : std_logic;
SIGNAL \DFF_inst5~regout\ : std_logic;

BEGIN

ww_CLK_E <= CLK_E;
D_NRZ <= ww_D_NRZ;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\CLK_E~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \CLK_E~combout\);

-- Location: PIN_P2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\CLK_E~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_CLK_E,
	combout => \CLK_E~combout\);

-- Location: CLKCTRL_G3
\CLK_E~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \CLK_E~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CLK_E~clkctrl_outclk\);

-- Location: LCCOMB_X1_Y6_N30
\SYNTHESIZED_WIRE_0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \SYNTHESIZED_WIRE_0~0_combout\ = \DFF_inst5~regout\ $ (!\SYNTHESIZED_WIRE_1~regout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \DFF_inst5~regout\,
	datad => \SYNTHESIZED_WIRE_1~regout\,
	combout => \SYNTHESIZED_WIRE_0~0_combout\);

-- Location: LCFF_X1_Y6_N31
DFF_inst2 : cycloneii_lcell_ff
PORT MAP (
	clk => \CLK_E~clkctrl_outclk\,
	datain => \SYNTHESIZED_WIRE_0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \DFF_inst2~regout\);

-- Location: LCCOMB_X1_Y6_N28
\DFF_inst3~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \DFF_inst3~feeder_combout\ = \DFF_inst2~regout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \DFF_inst2~regout\,
	combout => \DFF_inst3~feeder_combout\);

-- Location: LCFF_X1_Y6_N29
DFF_inst3 : cycloneii_lcell_ff
PORT MAP (
	clk => \CLK_E~clkctrl_outclk\,
	datain => \DFF_inst3~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \DFF_inst3~regout\);

-- Location: LCCOMB_X1_Y6_N26
\SYNTHESIZED_WIRE_1~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \SYNTHESIZED_WIRE_1~feeder_combout\ = \DFF_inst3~regout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \DFF_inst3~regout\,
	combout => \SYNTHESIZED_WIRE_1~feeder_combout\);

-- Location: LCFF_X1_Y6_N27
SYNTHESIZED_WIRE_1 : cycloneii_lcell_ff
PORT MAP (
	clk => \CLK_E~clkctrl_outclk\,
	datain => \SYNTHESIZED_WIRE_1~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \SYNTHESIZED_WIRE_1~regout\);

-- Location: LCCOMB_X1_Y6_N8
\DFF_inst5~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \DFF_inst5~feeder_combout\ = \SYNTHESIZED_WIRE_1~regout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \SYNTHESIZED_WIRE_1~regout\,
	combout => \DFF_inst5~feeder_combout\);

-- Location: LCFF_X1_Y6_N9
DFF_inst5 : cycloneii_lcell_ff
PORT MAP (
	clk => \CLK_E~clkctrl_outclk\,
	datain => \DFF_inst5~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \DFF_inst5~regout\);

-- Location: PIN_AB2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\D_NRZ~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \DFF_inst5~regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_D_NRZ);
END structure;


