LIBRARY ieee;
USE ieee.std_logic_1164.all;


entity UART is
port (H,R,IN_SERIE,LOAD :in std_logic;
		D :in std_logic_vector(3 downto 0);
		OUT_SERIE :out std_logic);
end UART;

architecture archi of UART is
signal Q :std_logic_vector(3 downto 0);
begin
	process(H,R)
	begin
		if R='1' then Q <= "0000";
		elsif (H'event and H='1') then
			if LOAD = '1' then Q <= D; 
			else Q <= Q(2 downto 0) & IN_SERIE;
			end if;
		end if;
	end process;
OUT_SERIE <= Q(3);
end archi;
