-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- PROGRAM		"Quartus II"
-- VERSION		"Version 10.1 Build 153 11/29/2010 SJ Full Version"
-- CREATED		"Tue Feb 01 08:39:29 2011"

LIBRARY ieee;
USE ieee.std_logic_1164.all; 

LIBRARY work;

ENTITY genecode IS 
	PORT
	(
		CLK_E :  IN  STD_LOGIC;
		RAZ :  IN  STD_LOGIC;
		D_NRZ :  OUT  STD_LOGIC
	);
END genecode;

ARCHITECTURE bdf_type OF genecode IS 

SIGNAL	DFF_inst9 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_9 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_0 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_10 :  STD_LOGIC;
SIGNAL	DFF_inst2 :  STD_LOGIC;
SIGNAL	DFF_inst3 :  STD_LOGIC;
SIGNAL	DFF_inst4 :  STD_LOGIC;
SIGNAL	DFF_inst5 :  STD_LOGIC;
SIGNAL	DFF_inst6 :  STD_LOGIC;
SIGNAL	DFF_inst7 :  STD_LOGIC;


BEGIN 
D_NRZ <= DFF_inst9;
SYNTHESIZED_WIRE_10 <= '1';



SYNTHESIZED_WIRE_0 <= NOT(DFF_inst9 XOR SYNTHESIZED_WIRE_9);



PROCESS(CLK_E,RAZ,SYNTHESIZED_WIRE_10)
BEGIN
IF (RAZ = '0') THEN
	DFF_inst2 <= '0';
ELSIF (SYNTHESIZED_WIRE_10 = '0') THEN
	DFF_inst2 <= '1';
ELSIF (RISING_EDGE(CLK_E)) THEN
	DFF_inst2 <= SYNTHESIZED_WIRE_0;
END IF;
END PROCESS;


PROCESS(CLK_E,RAZ,SYNTHESIZED_WIRE_10)
BEGIN
IF (RAZ = '0') THEN
	DFF_inst3 <= '0';
ELSIF (SYNTHESIZED_WIRE_10 = '0') THEN
	DFF_inst3 <= '1';
ELSIF (RISING_EDGE(CLK_E)) THEN
	DFF_inst3 <= DFF_inst2;
END IF;
END PROCESS;


PROCESS(CLK_E,RAZ,SYNTHESIZED_WIRE_10)
BEGIN
IF (RAZ = '0') THEN
	DFF_inst4 <= '0';
ELSIF (SYNTHESIZED_WIRE_10 = '0') THEN
	DFF_inst4 <= '1';
ELSIF (RISING_EDGE(CLK_E)) THEN
	DFF_inst4 <= DFF_inst3;
END IF;
END PROCESS;


PROCESS(CLK_E,RAZ,SYNTHESIZED_WIRE_10)
BEGIN
IF (RAZ = '0') THEN
	DFF_inst5 <= '0';
ELSIF (SYNTHESIZED_WIRE_10 = '0') THEN
	DFF_inst5 <= '1';
ELSIF (RISING_EDGE(CLK_E)) THEN
	DFF_inst5 <= DFF_inst4;
END IF;
END PROCESS;


PROCESS(CLK_E,RAZ,SYNTHESIZED_WIRE_10)
BEGIN
IF (RAZ = '0') THEN
	DFF_inst6 <= '0';
ELSIF (SYNTHESIZED_WIRE_10 = '0') THEN
	DFF_inst6 <= '1';
ELSIF (RISING_EDGE(CLK_E)) THEN
	DFF_inst6 <= DFF_inst5;
END IF;
END PROCESS;


PROCESS(CLK_E,RAZ,SYNTHESIZED_WIRE_10)
BEGIN
IF (RAZ = '0') THEN
	DFF_inst7 <= '0';
ELSIF (SYNTHESIZED_WIRE_10 = '0') THEN
	DFF_inst7 <= '1';
ELSIF (RISING_EDGE(CLK_E)) THEN
	DFF_inst7 <= DFF_inst6;
END IF;
END PROCESS;


PROCESS(CLK_E,RAZ,SYNTHESIZED_WIRE_10)
BEGIN
IF (RAZ = '0') THEN
	SYNTHESIZED_WIRE_9 <= '0';
ELSIF (SYNTHESIZED_WIRE_10 = '0') THEN
	SYNTHESIZED_WIRE_9 <= '1';
ELSIF (RISING_EDGE(CLK_E)) THEN
	SYNTHESIZED_WIRE_9 <= DFF_inst7;
END IF;
END PROCESS;


PROCESS(CLK_E,RAZ,SYNTHESIZED_WIRE_10)
BEGIN
IF (RAZ = '0') THEN
	DFF_inst9 <= '0';
ELSIF (SYNTHESIZED_WIRE_10 = '0') THEN
	DFF_inst9 <= '1';
ELSIF (RISING_EDGE(CLK_E)) THEN
	DFF_inst9 <= SYNTHESIZED_WIRE_9;
END IF;
END PROCESS;


END bdf_type;