LIBRARY ieee; 
USE ieee.std_logic_1164.all; 
  
ENTITY clignoteur1s IS 
 PORT 
 ( clk  : IN std_logic; 
   	   clk_divise: INOUT std_logic);       -- pour l'horloge de periode 1 seconde ); 
END clignoteur1s; 
  
ARCHITECTURE behavior OF clignoteur1s IS 
BEGIN 
 -- divisons le 50 MHZ   pour atteindre la demi seconde 

 	PROCESS (clk) 
  variable cnt : integer range 0 to 25000000; 
  CONSTANT diviseur  : integer := 25000000; 
  
BEGIN 
  	IF (clk'EVENT AND clk = '1') THEN 
   		IF cnt = diviseur THEN 
    			cnt := 0; 
    			clk_divise <= not clk_divise; 
   		ELSE 	cnt:= cnt + 1;  
		END IF;  
  	END IF; 
  
END PROCESS; 

END behavior;
